List routines
curl --request GET \
--url https://www.dench.com/api/v1/routines \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/routines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/routines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"jobs": [
{
"id": "trg_cron001",
"name": "Daily digest",
"enabled": true,
"deleteAfterRun": false,
"createdAtMs": 1765526400000,
"updatedAtMs": 1765526400000,
"schedule": {
"kind": "cron",
"expr": "0 9 * * *",
"tz": "America/New_York"
},
"sessionTarget": "isolated",
"wakeMode": "now",
"payload": {
"kind": "agentTurn",
"message": "Summarize open CRM tasks."
},
"state": {
"nextRunAtMs": 1765612800000,
"lastStatus": "ok"
}
}
],
"cronStatus": {
"enabled": true,
"nextWakeAtMs": 1765612800000
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}routines
List routines
List routines.
GET
/
routines
List routines
curl --request GET \
--url https://www.dench.com/api/v1/routines \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/routines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/routines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"jobs": [
{
"id": "trg_cron001",
"name": "Daily digest",
"enabled": true,
"deleteAfterRun": false,
"createdAtMs": 1765526400000,
"updatedAtMs": 1765526400000,
"schedule": {
"kind": "cron",
"expr": "0 9 * * *",
"tz": "America/New_York"
},
"sessionTarget": "isolated",
"wakeMode": "now",
"payload": {
"kind": "agentTurn",
"message": "Summarize open CRM tasks."
},
"state": {
"nextRunAtMs": 1765612800000,
"lastStatus": "ok"
}
}
],
"cronStatus": {
"enabled": true,
"nextWakeAtMs": 1765612800000
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Query Parameters
⌘I